# class KRootProp | Access KDE desktop resources stored on the root window. More...
Definition | `#include <krootprop.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KRootProp ( const QString& rProp = QString::null )
- ~KRootProp ()
- void setProp (const QString& rProp="")
- QString prop () const
- void destroy ()
- QString readEntry ( const QString& rKey, const QString& pDefault = QString::null ) const
- int readNumEntry ( const QString& rKey, int nDefault = 0 ) const
- QFont readFontEntry ( const QString& rKey, const QFont* pDefault = 0 ) const
- QColor readColorEntry ( const QString& rKey, const QColor* pDefault = 0 ) const
- QString writeEntry ( const QString& rKey, const QString& rValue )
- QString writeEntry ( const QString& rKey, int nValue )
- QString writeEntry ( const QString& rKey, const QFont& rFont )
- QString writeEntry ( const QString& rKey, const QColor& rColor )
- QString removeEntry (const QString& rKey)
- QStringList listEntries () const
- void sync ()

## Detailed Description

Access KDE desktop resources stored on the root window.

A companion to the KConfig class.

The KRootProp class is used for reading and writing configuration entries to properties on the root window.

All configuration entries are of the form "key=value".

See also: KConfig

KRootProp ( const QString& rProp = QString::null ) | ### KRootProp

Construct a KRootProp object for the property `rProp`.

~KRootProp () | ### ~KRootProp

Destructor.

Writes back any dirty configuration entries.

void setProp (const QString& rProp="") | ### setProp

Specify the property in which keys will be searched.

QString prop () | ### prop

[const]

Retrieve the name of the property under which keys are searched.

void destroy () | ### destroy

Destroy the property completely.

I.e. all entries will be cleared and the property will be removed from the root window.

QString readEntry ( const QString& rKey, const QString& pDefault = QString::null ) | ### readEntry

[const]

Read the value of an entry specified by `rKey` in the current property

Parameters:

rKey | The key to search for.
pDefault | A default value returned if the key was not found.

Returns: The value for this key or the default if no value was found.

int readNumEntry ( const QString& rKey, int nDefault = 0 ) | ### readNumEntry

[const]

Read a numerical value.

Read the value of an entry specified by `rKey` in the current property and interpret it numerically.

Parameters:

rKey | The key to search for.
nDefault | A default value returned if the key was not found.

Returns: The value for this key or the default if no value was found.

QFont readFontEntry ( const QString& rKey, const QFont* pDefault = 0 ) | ### readFontEntry

[const]

Read a QFont.

Read the value of an entry specified by `rKey` in the current property and interpret it as a font object.

Parameters:

rKey | The key to search for.
pDefault | A default value returned if the key was not found.

Returns: The value for this key or a default font if no value was found.

QColor readColorEntry ( const QString& rKey, const QColor* pDefault = 0 ) | ### readColorEntry

[const]

Read a QColor.

Read the value of an entry specified by `rKey` in the current property and interpret it as a color.

Parameters:

rKey | The key to search for.
pDefault | A default value returned if the key was not found.

Returns: The value for this key or a default color if no value was found.

QString writeEntry ( const QString& rKey, const QString& rValue ) | ### writeEntry

writeEntry() overridden to accept a const QString& argument.

This is stored to the current property when destroying the config object or when calling sync().

Parameters:

rKey | The key to write.
rValue | The value to write.

Returns: The old value for this key. If this key did not exist, a null string is returned.

QString writeEntry ( const QString& rKey, int nValue ) | ### writeEntry

Write the key value pair. Same as above, but write a numerical value.

Parameters:

rKey | The key to write.
nValue | The value to write.

Returns: The old value for this key. If this key did not exist, a null string is returned.

QString writeEntry ( const QString& rKey, const QFont& rFont ) | ### writeEntry

Write the key value pair. Same as above, but write a font.

Parameters:

rKey | The key to write.
rValue | The value to write.

Returns: The old value for this key. If this key did not exist, a null string is returned.

QString writeEntry ( const QString& rKey, const QColor& rColor ) | ### writeEntry

Write the key value pair. Same as above, but write a color.

Parameters:

rKey | The key to write.
rValue | The value to write.

Returns: The old value for this key. If this key did not exist, a null string is returned.

QString removeEntry (const QString& rKey) | ### removeEntry

Remove an entry.

Parameters:

rKey | The key to remove.

Returns: The old value for this key. If this key did not exist, a null string is returned.

QStringList listEntries () | ### listEntries

[const]

Get a list of all keys.

Returns: A QStringList containing all the keys.

void sync () | ### sync

Flush the entry cache. Write back dirty configuration entries to the current property, This is called automatically from the destructor.

- Version: $Id: krootprop.h,v 1.13 2000/03/08 19:46:48 granroth Exp $
- Author: Mark Donohoe (donohe@kde.org)
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:34:58 2001, using kdoc 2.0a53.